Subject: RE: Bitrotting serial drivers

From: "Joseph Chiu" <[email-masked]>
Date: Mon, 21 Mar 2005 13:10:13 -0800

Hmmm, that's news to me!  I've been using console=ttyS0,115200  console=ttyS0,9600 and console= (no console) forever.

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Ulrich Eckhardt
> Sent: Monday, March 21, 2005 12:51 PM
> To: [email-masked]
> Subject: Re: Bitrotting serial drivers
> 
> 
> On Sunday 20 March 2005 23:51, Pete Popov wrote:
> > It works and no one has complained about any bugs. 
> 
> I hereby do complain that it doesn't work. ;)
> 
> I'd give more details, but I'm neither at work nor did I 
> investigate the 
> situation properly. What I remember trying is to add 
> 'console=/dev/ttyS0' or 
> somesuch to the commandline, but couldn't get it to work 
> there. The funny 
> thing is that when I use the GDB support over serial line 
> (which seems to use 
> a primitive, stripped-down version of a serial driver) it 
> works, I can then 
> redirect boot messages via 'console=gdb'.
> 
> Uli
> 
>